| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
wxHtmlHelpDataItem Class Reference

`#include <wx/html/helpdata.h>`

## Detailed Description

Helper class for wxHtmlHelpData.

## Public Member Functions
| wxHtmlHelpDataItem ()
wxString | GetFullPath () const
wxString | GetIndentedName () const

## Public Attributes
int | level
wxHtmlHelpDataItem * | parent
int | id
wxString | name
wxString | page
wxHtmlBookRecord * | book

## Constructor & Destructor Documentation

wxHtmlHelpDataItem::wxHtmlHelpDataItem | ( |  | ) |

## Member Function Documentation

wxString wxHtmlHelpDataItem::GetFullPath | ( |  | ) | const

wxString wxHtmlHelpDataItem::GetIndentedName | ( |  | ) | const

## Member Data Documentation

wxHtmlBookRecord* wxHtmlHelpDataItem::book

int wxHtmlHelpDataItem::id

int wxHtmlHelpDataItem::level

wxString wxHtmlHelpDataItem::name

wxString wxHtmlHelpDataItem::page

wxHtmlHelpDataItem* wxHtmlHelpDataItem::parent